> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/projekte.md).

# Projekte

Manage CRM projects in VARIO Cloud via API, including project data, reminders, subscriptions, workflows, billing, and parent-child relations.

CRM projects.

## PUT /erp/crm-projects/{id}/subscription/deactivate

> Remove a subscription on the business object for the caller

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/subscription/deactivate":{"put":{"tags":["Projekte"],"summary":"Remove a subscription on the business object for the caller","operationId":"deregisterSubscription_1","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /erp/crm-projects/{id}/subscription/activate

> Set a subscription on the business object for the caller

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/subscription/activate":{"put":{"tags":["Projekte"],"summary":"Set a subscription on the business object for the caller","operationId":"registerSubscription_1","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /erp/crm-projects/{id}/reminders/{reminderId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/reminders/{reminderId}":{"get":{"tags":["Projekte"],"operationId":"getReminder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reminderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmReminder"}}}}}}}},"components":{"schemas":{"erp-crm-CrmReminder":{"description":"CRM reminders.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"crmId":{"type":"integer","format":"int64","description":"CRM object identifier."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remindAt":{"type":"string","format":"date-time","description":"Reminder time."},"note":{"type":"string","description":"Note on the reminder."},"critical":{"type":"boolean","description":"Is this a critical reminder?"}},"required":["crmId","remindAt","userRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## PUT /erp/crm-projects/{id}/reminders/{reminderId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/reminders/{reminderId}":{"put":{"tags":["Projekte"],"operationId":"updateReminder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reminderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmReminder"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmReminder"}}}}}}}},"components":{"schemas":{"erp-crm-CrmReminder":{"description":"CRM reminders.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"crmId":{"type":"integer","format":"int64","description":"CRM object identifier."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remindAt":{"type":"string","format":"date-time","description":"Reminder time."},"note":{"type":"string","description":"Note on the reminder."},"critical":{"type":"boolean","description":"Is this a critical reminder?"}},"required":["crmId","remindAt","userRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /erp/crm-projects/{id}/reminders/{reminderId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/reminders/{reminderId}":{"delete":{"tags":["Projekte"],"operationId":"deleteReminder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reminderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/crm-projects/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}":{"get":{"tags":["Projekte"],"summary":"Find an existing Resource by identifier","operationId":"getById_101","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmProject"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CrmProject":{"description":"CRM projects.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priorityRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Task number.","readOnly":true},"description":{"type":"string","description":"Note or description."},"notes":{"type":"string","description":"Notes."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parentRefs":{"type":"array","description":"Parent CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"childRefs":{"type":"array","description":"Child CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"salesDocumentRefs":{"type":"array","description":"Sales documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"contractRefs":{"type":"array","description":"Contract.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"observerRefs":{"type":"array","description":"Observers.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"processedByWorkflow":{"type":"boolean","description":"Is this in workflow processing?","readOnly":true},"purchaseDocumentRefs":{"type":"array","description":"Purchase documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"customField":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"phaseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Task title."},"effortEstimation":{"type":"integer","format":"int32","description":"Total effort estimation in seconds."},"effortCommissioned":{"type":"integer","format":"int32","description":"Total commissioned time in seconds."},"plannedProjectPeriodFrom":{"type":"string","format":"date","description":"Planned project period (from)."},"plannedProjectPeriodTo":{"type":"string","format":"date","description":"Planned project period (to)."},"actualProjectPeriodFrom":{"type":"string","format":"date","description":"Actual project period (from)."},"actualProjectPeriodTo":{"type":"string","format":"date","description":"Actual project period (to)."},"contractConclusionDate":{"type":"string","format":"date","description":"Contract conclusion date."},"projectManagerOfCustomer":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"projectManagerOfContractor":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"checklist":{"type":"array","description":"Checklist: memo and checked.","items":{"$ref":"#/components/schemas/erp-crm-CrmChecklistItem"}},"recordedTimes":{"type":"integer","format":"int32","description":"Recorded times in seconds.","readOnly":true},"billedTimes":{"type":"integer","format":"int32","description":"Billed times in seconds.","readOnly":true},"additionalParticipantsOfCustomer":{"type":"array","description":"Additional client participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}},"additionalParticipantsOfContractor":{"type":"array","description":"Additional contractor participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}}},"required":["priorityRef","typeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-crm-CrmParticipant":{"description":"Participant or contact person in a CRM object.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description.","maxLength":255,"minLength":0}},"required":["accountPersonRef"]},"erp-crm-CrmChecklistItem":{"description":"Checklist item in the CRM.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"memo":{"type":"string","description":"Checklist item text."},"checked":{"type":"boolean","default":false,"description":"Is the item \"checked\"?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## PUT /erp/crm-projects/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}":{"put":{"tags":["Projekte"],"summary":"Update existing Resource ","operationId":"update_104","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmProjectCreateOrUpdateRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmProject"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CrmProjectCreateOrUpdateRequest":{"description":"Request for creating or updating a project.","properties":{"toCreateOrUpdate":{"$ref":"#/components/schemas/erp-crm-CrmProject"},"parameters":{"type":"array","description":"Additional parameters (e.g. also answers to decisions).","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}}}},"erp-crm-CrmProject":{"description":"CRM projects.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priorityRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Task number.","readOnly":true},"description":{"type":"string","description":"Note or description."},"notes":{"type":"string","description":"Notes."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parentRefs":{"type":"array","description":"Parent CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"childRefs":{"type":"array","description":"Child CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"salesDocumentRefs":{"type":"array","description":"Sales documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"contractRefs":{"type":"array","description":"Contract.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"observerRefs":{"type":"array","description":"Observers.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"processedByWorkflow":{"type":"boolean","description":"Is this in workflow processing?","readOnly":true},"purchaseDocumentRefs":{"type":"array","description":"Purchase documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"customField":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"phaseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Task title."},"effortEstimation":{"type":"integer","format":"int32","description":"Total effort estimation in seconds."},"effortCommissioned":{"type":"integer","format":"int32","description":"Total commissioned time in seconds."},"plannedProjectPeriodFrom":{"type":"string","format":"date","description":"Planned project period (from)."},"plannedProjectPeriodTo":{"type":"string","format":"date","description":"Planned project period (to)."},"actualProjectPeriodFrom":{"type":"string","format":"date","description":"Actual project period (from)."},"actualProjectPeriodTo":{"type":"string","format":"date","description":"Actual project period (to)."},"contractConclusionDate":{"type":"string","format":"date","description":"Contract conclusion date."},"projectManagerOfCustomer":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"projectManagerOfContractor":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"checklist":{"type":"array","description":"Checklist: memo and checked.","items":{"$ref":"#/components/schemas/erp-crm-CrmChecklistItem"}},"recordedTimes":{"type":"integer","format":"int32","description":"Recorded times in seconds.","readOnly":true},"billedTimes":{"type":"integer","format":"int32","description":"Billed times in seconds.","readOnly":true},"additionalParticipantsOfCustomer":{"type":"array","description":"Additional client participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}},"additionalParticipantsOfContractor":{"type":"array","description":"Additional contractor participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}}},"required":["priorityRef","typeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-crm-CrmParticipant":{"description":"Participant or contact person in a CRM object.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description.","maxLength":255,"minLength":0}},"required":["accountPersonRef"]},"erp-crm-CrmChecklistItem":{"description":"Checklist item in the CRM.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"memo":{"type":"string","description":"Checklist item text."},"checked":{"type":"boolean","default":false,"description":"Is the item \"checked\"?"}}},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## DELETE /erp/crm-projects/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}":{"delete":{"tags":["Projekte"],"summary":"Delete an existing Resource","operationId":"delete_96","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PATCH /erp/crm-projects/{id}

> Patch existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}":{"patch":{"tags":["Projekte"],"summary":"Patch existing Resource ","operationId":"partialUpdate_1","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmProject"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-crm-CrmProject":{"description":"CRM projects.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priorityRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Task number.","readOnly":true},"description":{"type":"string","description":"Note or description."},"notes":{"type":"string","description":"Notes."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parentRefs":{"type":"array","description":"Parent CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"childRefs":{"type":"array","description":"Child CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"salesDocumentRefs":{"type":"array","description":"Sales documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"contractRefs":{"type":"array","description":"Contract.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"observerRefs":{"type":"array","description":"Observers.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"processedByWorkflow":{"type":"boolean","description":"Is this in workflow processing?","readOnly":true},"purchaseDocumentRefs":{"type":"array","description":"Purchase documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"customField":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"phaseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Task title."},"effortEstimation":{"type":"integer","format":"int32","description":"Total effort estimation in seconds."},"effortCommissioned":{"type":"integer","format":"int32","description":"Total commissioned time in seconds."},"plannedProjectPeriodFrom":{"type":"string","format":"date","description":"Planned project period (from)."},"plannedProjectPeriodTo":{"type":"string","format":"date","description":"Planned project period (to)."},"actualProjectPeriodFrom":{"type":"string","format":"date","description":"Actual project period (from)."},"actualProjectPeriodTo":{"type":"string","format":"date","description":"Actual project period (to)."},"contractConclusionDate":{"type":"string","format":"date","description":"Contract conclusion date."},"projectManagerOfCustomer":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"projectManagerOfContractor":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"checklist":{"type":"array","description":"Checklist: memo and checked.","items":{"$ref":"#/components/schemas/erp-crm-CrmChecklistItem"}},"recordedTimes":{"type":"integer","format":"int32","description":"Recorded times in seconds.","readOnly":true},"billedTimes":{"type":"integer","format":"int32","description":"Billed times in seconds.","readOnly":true},"additionalParticipantsOfCustomer":{"type":"array","description":"Additional client participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}},"additionalParticipantsOfContractor":{"type":"array","description":"Additional contractor participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}}},"required":["priorityRef","typeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"erp-crm-CrmParticipant":{"description":"Participant or contact person in a CRM object.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description.","maxLength":255,"minLength":0}},"required":["accountPersonRef"]},"erp-crm-CrmChecklistItem":{"description":"Checklist item in the CRM.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"memo":{"type":"string","description":"Checklist item text."},"checked":{"type":"boolean","default":false,"description":"Is the item \"checked\"?"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## GET /erp/crm-projects/parent/{childId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/parent/{childId}":{"get":{"tags":["Projekte"],"operationId":"getParents_1","parameters":[{"name":"childId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}}}}}}}}},"components":{"schemas":{"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}}}}}
```

## PUT /erp/crm-projects/parent/{childId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/parent/{childId}":{"put":{"tags":["Projekte"],"operationId":"updateParent_1","parameters":[{"name":"childId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmUpdateParentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-crm-CrmUpdateParentRequest":{"description":"Request for updating the CRM parents.","properties":{"parents":{"type":"array","description":"Parent objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmUpdateParentRequest.Parent"}}},"required":["parents"]},"erp-crm-CrmUpdateParentRequest.Parent":{"description":"Parent object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]}},"required":["id","type"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## DELETE /erp/crm-projects/parent/{childId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/parent/{childId}":{"delete":{"tags":["Projekte"],"operationId":"removeParent_1","parameters":[{"name":"childId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/crm-projects/children/{parentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/children/{parentId}":{"get":{"tags":["Projekte"],"operationId":"getChildren_1","parameters":[{"name":"parentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}}}}}}}}},"components":{"schemas":{"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}}}}}
```

## PUT /erp/crm-projects/children/{parentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/children/{parentId}":{"put":{"tags":["Projekte"],"operationId":"updateChildren_1","parameters":[{"name":"parentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmUpdateChildrenRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}}}}}}}}},"components":{"schemas":{"erp-crm-CrmUpdateChildrenRequest":{"description":"Request for updating the CRM children.","properties":{"children":{"type":"array","description":"Dependent objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmUpdateChildrenRequest.Child"}}},"required":["children"]},"erp-crm-CrmUpdateChildrenRequest.Child":{"description":"Dependent object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]}},"required":["id","type"]},"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}}}}}
```

## DELETE /erp/crm-projects/children/{parentId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/children/{parentId}":{"delete":{"tags":["Projekte"],"operationId":"removeChildren_1","parameters":[{"name":"parentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/crm-projects/{id}/reminders/

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/reminders/":{"post":{"tags":["Projekte"],"operationId":"createReminder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmReminder"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmReminder"}}}}}}}},"components":{"schemas":{"erp-crm-CrmReminder":{"description":"CRM reminders.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"crmId":{"type":"integer","format":"int64","description":"CRM object identifier."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"remindAt":{"type":"string","format":"date-time","description":"Reminder time."},"note":{"type":"string","description":"Note on the reminder."},"critical":{"type":"boolean","description":"Is this a critical reminder?"}},"required":["crmId","remindAt","userRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/crm-projects/{id}/perform-billing

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects/{id}/perform-billing":{"post":{"tags":["Projekte"],"operationId":"performBilling_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/crm-projects

> Create a new project

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Projekte","description":"CRM projects."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/crm-projects":{"post":{"tags":["Projekte"],"summary":"Create a new project","operationId":"createByTemplate_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CreateCrmProjectRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmProject"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CreateCrmProjectRequest":{"properties":{"createTemplateId":{"type":"integer","format":"int64","description":"Template for creating a project."},"project":{"$ref":"#/components/schemas/erp-crm-CrmProject"},"parameters":{"type":"array","description":"Additional parameters (e.g. also answers to decisions).","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}}}},"erp-crm-CrmProject":{"description":"CRM projects.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priorityRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"number":{"type":"string","description":"Task number.","readOnly":true},"description":{"type":"string","description":"Note or description."},"notes":{"type":"string","description":"Notes."},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parentRefs":{"type":"array","description":"Parent CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"childRefs":{"type":"array","description":"Child CRM objects.","items":{"$ref":"#/components/schemas/erp-crm-CrmObjectRef"}},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"salesDocumentRefs":{"type":"array","description":"Sales documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"contractRefs":{"type":"array","description":"Contract.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"observerRefs":{"type":"array","description":"Observers.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"processedByWorkflow":{"type":"boolean","description":"Is this in workflow processing?","readOnly":true},"purchaseDocumentRefs":{"type":"array","description":"Purchase documents.","items":{"$ref":"#/components/schemas/erp-document-DocumentRef"}},"customField":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"phaseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Task title."},"effortEstimation":{"type":"integer","format":"int32","description":"Total effort estimation in seconds."},"effortCommissioned":{"type":"integer","format":"int32","description":"Total commissioned time in seconds."},"plannedProjectPeriodFrom":{"type":"string","format":"date","description":"Planned project period (from)."},"plannedProjectPeriodTo":{"type":"string","format":"date","description":"Planned project period (to)."},"actualProjectPeriodFrom":{"type":"string","format":"date","description":"Actual project period (from)."},"actualProjectPeriodTo":{"type":"string","format":"date","description":"Actual project period (to)."},"contractConclusionDate":{"type":"string","format":"date","description":"Contract conclusion date."},"projectManagerOfCustomer":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"projectManagerOfContractor":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"},"checklist":{"type":"array","description":"Checklist: memo and checked.","items":{"$ref":"#/components/schemas/erp-crm-CrmChecklistItem"}},"recordedTimes":{"type":"integer","format":"int32","description":"Recorded times in seconds.","readOnly":true},"billedTimes":{"type":"integer","format":"int32","description":"Billed times in seconds.","readOnly":true},"additionalParticipantsOfCustomer":{"type":"array","description":"Additional client participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}},"additionalParticipantsOfContractor":{"type":"array","description":"Additional contractor participants.","items":{"$ref":"#/components/schemas/erp-crm-CrmParticipant"}}},"required":["priorityRef","typeRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-crm-CrmObjectRef":{"description":"Reference to a CRM object.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"type":{"type":"string","description":"Possible CRM types.","enum":["TASK","DEAL","PROJECT"]},"number":{"type":"string","description":"Number."},"label":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"state":{"$ref":"#/components/schemas/erp-crm-CrmState"},"subType":{"$ref":"#/components/schemas/erp-crm-CrmSubType"}},"required":["id","type"]},"erp-crm-CrmState":{"description":"CRM object status.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"crmSubTypes":{"type":"array","description":"Type this state belongs to.","items":{"$ref":"#/components/schemas/erp-crm-CrmSubType"},"minItems":1},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"startState":{"type":"boolean","default":false,"description":"Is this a start state?"},"finishState":{"type":"boolean","default":false,"description":"Is this an end state?"},"readyToBill":{"type":"boolean","default":false,"description":"Is this a \"ready for billing\" state?"},"needsCommentOnPositiveFinish":{"type":"boolean","default":false,"description":"A comment is required on a positive closing."},"needsCommentOnNegativeFinish":{"type":"boolean","default":false,"description":"A comment is required on a negative closing."},"active":{"type":"boolean","description":"active","readOnly":true},"portalEnumRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["crmSubTypes","label","sortOrder"]},"erp-crm-CrmSubType":{"description":"Specialized type of a CRM object implementation.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["label","sortOrder"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-document-DocumentRef":{"description":"Reference to a Document.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."}},"required":["id"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-crm-CrmParticipant":{"description":"Participant or contact person in a CRM object.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description.","maxLength":255,"minLength":0}},"required":["accountPersonRef"]},"erp-crm-CrmChecklistItem":{"description":"Checklist item in the CRM.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"memo":{"type":"string","description":"Checklist item text."},"checked":{"type":"boolean","default":false,"description":"Is the item \"checked\"?"}}},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErro
[...]
